#include <bits/stdc++.h>

using namespace std;

string s;

int main(){
 cin >> s;
reverse(s.begin(), s.end());
for(int i = 0; i < s.size(); i ++){
  if(s[i] == '2') s[i] = '5';
  else if(s[i] == '5') s[i] = '2';
   }
if(s[0] == '0') {
   int q = 0;
   for(int i = 0; i < s.size(); i ++) {
      if (s[i] == '0' && q == 0) {
         continue;
      }
      else {
         cout << s[i];
         q = 1;
      }
   }
}
else for(int i = 0; i < s.size(); i ++) cout << s[i];
}
